- generic [active] [ref=e1]:
  - checkbox "Toggle sidebar ⌘B" [checked=mixed] [ref=e2]
  - navigation [ref=e3]:
    - list [ref=e4]:
      - generic "Toggle sidebar ⌘B" [ref=e5]
      - listitem [ref=e6]:
        - link "Roomfit v2 — Spec Map" [ref=e7] [cursor=pointer]:
          - /url: ./
    - generic [ref=e8]:
      - searchbox "Search" [ref=e9]
      - text: ⌘K
    - list [ref=e11]:
      - listitem [ref=e12]:
        - link "개요" [ref=e13] [cursor=pointer]:
          - /url: ./
      - listitem [ref=e14]:
        - link "화면" [ref=e15] [cursor=pointer]:
          - /url: ./screens
      - listitem [ref=e16]:
        - link "Use case" [ref=e17] [cursor=pointer]:
          - /url: ./use-cases
      - listitem [ref=e18]:
        - link "시나리오" [ref=e19] [cursor=pointer]:
          - /url: ./scenarios
      - listitem [ref=e20]:
        - link "데이터 흐름" [ref=e21] [cursor=pointer]:
          - /url: ./data-flow
  - generic [ref=e22]:
    - banner [ref=e23]: Roomfit v2 Spec — 자동 추출 + 수동 보강
    - complementary [ref=e24]:
      - navigation [ref=e25]:
        - generic [ref=e26]: Contents
        - list [ref=e27]:
          - listitem [ref=e28]:
            - link "풀 파이프라인" [ref=e29] [cursor=pointer]:
              - /url: "#-1"
          - listitem [ref=e30]:
            - link "Command 카탈로그" [ref=e31] [cursor=pointer]:
              - /url: "#command"
          - listitem [ref=e32]:
            - link "Response 카탈로그" [ref=e33] [cursor=pointer]:
              - /url: "#response"
          - listitem [ref=e34]:
            - link "Domain class — 데이터 운반체" [ref=e35] [cursor=pointer]:
              - /url: "#domain-class"
    - main [ref=e36]:
      - heading "데이터 흐름" [level=1] [ref=e37]:
        - link "데이터 흐름" [ref=e38] [cursor=pointer]:
          - /url: "#"
      - blockquote [ref=e39]:
        - paragraph [ref=e40]:
          - text: "핵심:"
          - strong [ref=e41]: MCU 50ms 0x41 → ReportResponse → DeviceState → use case → provider → screen.
          - text: 사용자가 케이블을 당기면 모터 전류 = 토크 = 무게로 돌아오고, 그 데이터가 어떻게 화면까지 흐르는지.
      - heading "풀 파이프라인" [level=2] [ref=e42]:
        - link "풀 파이프라인" [ref=e43] [cursor=pointer]:
          - /url: "#-1"
      - heading "Command 카탈로그" [level=2] [ref=e44]:
        - link "Command 카탈로그" [ref=e45] [cursor=pointer]:
          - /url: "#command"
      - heading "Response 카탈로그" [level=2] [ref=e46]:
        - link "Response 카탈로그" [ref=e47] [cursor=pointer]:
          - /url: "#response"
      - heading "Domain class — 데이터 운반체" [level=2] [ref=e48]:
        - link "Domain class — 데이터 운반체" [ref=e49] [cursor=pointer]:
          - /url: "#domain-class"
      - paragraph [ref=e50]: use case 가 다루는 value object / state / event. 도메인 모델의 어휘.
    - contentinfo [ref=e51]:
      - navigation [ref=e52]:
        - link "Previous page 시나리오" [ref=e53] [cursor=pointer]:
          - /url: ./scenarios
          - text: Previous page
          - generic [ref=e54]: 시나리오
      - generic [ref=e55]:
        - text: "Source: /Volumes/WorkSSD/Projects/RoomfitV2 · build via"
        - code [ref=e56]: make extract && npm run build